Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class NewsMessageIndexer

    java.lang.Object
      com.knowgate.lucene.Indexer
          com.knowgate.lucene.NewsMessageIndexer

    public class NewsMessageIndexer

extends Indexer

Indexer subclass for hipergate forum messages

Field Summary

Fields inherited from class com.knowgate.lucene.Indexer
`DEFAULT_ANALYZER`

Constructor Summary
`NewsMessageIndexer()`

Method Summary
`static void` | `addNewsMessage(IndexWriter oIWrt, java.lang.String sGuid, java.lang.String sWorkArea, java.lang.String sContainer, java.lang.String sTitle, java.lang.String sAuthor, java.util.Date dtCreated, java.lang.String sText)`
`static void` | `addOrReplaceNewsMessage(java.util.Properties oProps, java.lang.String sGuid, java.lang.String sWorkArea, java.lang.String sContainer, java.lang.String sTitle, java.lang.String sAuthor, java.util.Date dtCreated, java.lang.String sText)`

Methods inherited from class com.knowgate.lucene.Indexer
`add, add, add, delete, main, optimize, rebuild, rebuild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewsMessageIndexer

    public NewsMessageIndexer()

Method Detail

### addNewsMessage

    public static void addNewsMessage(IndexWriter oIWrt,
                                      java.lang.String sGuid,
                                      java.lang.String sWorkArea,
                                      java.lang.String sContainer,
                                      java.lang.String sTitle,
                                      java.lang.String sAuthor,
                                      java.util.Date dtCreated,
                                      java.lang.String sText)
                               throws java.lang.ClassNotFoundException,
                                      java.io.IOException,
                                      java.lang.IllegalArgumentException,
                                      java.lang.NoSuchFieldException,
                                      java.lang.IllegalAccessException,
                                      java.lang.InstantiationException,
                                      java.lang.NullPointerException

  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`
    `java.lang.NoSuchFieldException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.NullPointerException`

### addOrReplaceNewsMessage

    public static void addOrReplaceNewsMessage(java.util.Properties oProps,
                                               java.lang.String sGuid,
                                               java.lang.String sWorkArea,
                                               java.lang.String sContainer,
                                               java.lang.String sTitle,
                                               java.lang.String sAuthor,
                                               java.util.Date dtCreated,
                                               java.lang.String sText)
                                        throws java.lang.ClassNotFoundException,
                                               java.io.IOException,
                                               java.lang.IllegalArgumentException,
                                               java.lang.NoSuchFieldException,
                                               java.lang.IllegalAccessException,
                                               java.lang.InstantiationException,
                                               java.lang.NullPointerException

  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`
    `java.lang.NoSuchFieldException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.NullPointerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD